Skip to main content
GET
/
api
/
apps
/
marketplaceapplications
/
available
{
  "price": {},
  "confirmation": {},
  "available": true,
  "message": "<string>",
  "error_code": "<string>"
}

Authentication

This endpoint requires OAuth2 authentication. Include a valid bearer token in the Authorization header.

Query Parameters

marketplace_id
string
required
location_id
string
required
The unique id of a location
resource_id
string
required
The unique id of the location to get the availability for
start_local
string
required
The earliest date to show bookings for. The date and time are parsed in the local time of the passed in location. Defaults to the current date and time.
duration_minutes
string
The amount of minutes after the start_local time to show data for. Defaults to 60 minutes.

Response

200

price
object
confirmation
object
available
boolean
Example: false
message
string
Example: This resource is already booked. Please choose a different start and end times.
error_code
string
Example: BOOKING_CONFLICT
Example Response
{
  "price": {
    "amount": 4.81,
    "currency": "USD",
    "rate": {
      "id": "3099381d-c8dd-4994-b8fb-be1736b12b60",
      "name": "Large Conference Rooms",
      "description": "Large Conference Rooms",
      "price": 100,
      "tax_rate": 20,
      "period": "Minutes",
      "members_only": false,
      "contacts_only": false,
      "min_length_minutes": null,
      "max_length_minutes": null,
      "fixed_price": null,
      "fixed_price_length_minutes": null
    }
  },
  "confirmation": {
    "confirmed": false,
    "message": null,
    "booking_id": null
  },
  "available": false,
  "message": "This resource is already booked. Please choose a different start and end times.",
  "error_code": "BOOKING_CONFLICT"
}

Example Request

curl -X GET \
  "https://spaces.nexudus.com/api/apps/marketplaceapplications/available" \
  -H "Authorization: Bearer YOUR_TOKEN"